<?php
defined('PP_PATH') or exit;
class error404_control extends control{
	public $_cfg = array();
	public $_var = array();
	public $_user = array();
	public function index() {
		header('HTTP/1.1 404 Not Found');
		header("status: 404 Not Found");
		$this->_cfg = $this->runtime->xget();
		$this->_cfg['titles'] = '404 Not Found';
		$this->_var['topcid'] = -1;
		$this->assign('user', $_user);
		$this->assign('pp', $this->_cfg);
		$this->assign('pp_var', $this->_var);
		$GLOBALS['run'] = &$this;
		$_ENV['_theme'] = &$this->_cfg['theme'];
		$this->display('404.htm');
	}
}
